> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cortex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Recommendations

PRIVATE BETA

Use these operations to review [ownership recommendations](https://docs.cortex.io/ingesting-data-into-cortex/entities-overview/entities/ownership/assigning-owners-to-entities.md#assigning-ownership-via-cortex-recommendations) in Cortex. Ownership recommendations are in [private beta](https://docs.cortex.io/resources/beta#ownership-recommendations-private-beta).

### Required permissions

To accept, reject, or restore a recommendation, your API key must be able to edit the recommendation's entity.

## Operations

> **[List ownership recommendations](https://docs.cortex.io/api/rest/recommendations/list-ownership-recommendations.md)**
>
> `GET /api/v1/recommendations/ownership`

> **[List entities with ownership recommendations](https://docs.cortex.io/api/rest/recommendations/list-entities-with-ownership-recommendations.md)**
>
> `GET /api/v1/recommendations/ownership/entities`

> **[Accept an ownership recommendation](https://docs.cortex.io/api/rest/recommendations/accept-an-ownership-recommendation.md)**
>
> `POST /api/v1/recommendations/ownership/{id}/accept`

> **[Accept many ownership recommendations](https://docs.cortex.io/api/rest/recommendations/accept-many-ownership-recommendations.md)**
>
> `POST /api/v1/recommendations/ownership/accept/batch`

> **[Reject an ownership recommendation](https://docs.cortex.io/api/rest/recommendations/reject-an-ownership-recommendation.md)**
>
> `PUT /api/v1/recommendations/ownership/{id}/rejection`

> **[Reject many ownership recommendations](https://docs.cortex.io/api/rest/recommendations/reject-many-ownership-recommendations.md)**
>
> `PUT /api/v1/recommendations/ownership/rejections/batch`

> **[Restore an ownership recommendation](https://docs.cortex.io/api/rest/recommendations/restore-an-ownership-recommendation.md)**
>
> `DELETE /api/v1/recommendations/ownership/{id}/rejection`

> **[Restore many ownership recommendations](https://docs.cortex.io/api/rest/recommendations/restore-many-ownership-recommendations.md)**
>
> `DELETE /api/v1/recommendations/ownership/rejections/batch`


## Related topics

- [Reject an ownership recommendation](https://docs.cortex.io/api/rest/recommendations/reject-an-ownership-recommendation.md)
- [List ownership recommendations](https://docs.cortex.io/api/rest/recommendations/list-ownership-recommendations.md)
- [Restore an ownership recommendation](https://docs.cortex.io/api/rest/recommendations/restore-an-ownership-recommendation.md)
